#pragma once
#include "olcUTIL_Animate2D.h"

namespace sig{
	class Animation{
	public:
		static void InitializeAnimations();
		static void SetupPlayerAnimations();
	};
}

struct AnimationData{
	float frameDuration=0.1f;
	Animate2D::Style style=Animate2D::Style::Repeat;
};